---
title: <animateMotion>
slug: Web/SVG/Element/animateMotion
tags:
  - Element
  - SVG
  - SVG Animation
---
<div>{{SVGRef}}</div>

<p>The SVG <strong><code>&lt;animateMotion&gt;</code></strong> element let define how an element moves along a motion path.</p>

<div class="notecard note">
<p><strong>Note:</strong> To reuse an existing path, it will be necessary to use an {{SVGElement("mpath")}} element inside the <code>&lt;animateMotion&gt;</code> element instead of the {{SVGAttr("path")}} attribute.</p>
</div>

<div id="Exemple">
<div class="hidden">
<pre class="brush: css notranslate">html,body,svg { height:100%; margin: 0; padding: 0; display:block; }</pre>
</div>

<pre class="brush: html; highlight[6,7] notranslate">&lt;svg viewBox="0 0 200 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;path fill="none" stroke="lightgrey"
    d="M20,50 C20,-50 180,150 180,50 C180-50 20,150 20,50 z" /&gt;

  &lt;circle r="5" fill="red"&gt;
    &lt;animateMotion dur="10s" repeatCount="indefinite"
      path="M20,50 C20,-50 180,150 180,50 C180-50 20,150 20,50 z" /&gt;
  &lt;/circle&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('Exemple', 150, '100%')}}</p>
</div>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-cx">{{SVGAttr("keyPoints")}}</dt>
 <dd>This attribute indicate, in the range [0,1], how far is the object along the path for each {{SVGAttr("keyTimes")}} associated values.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#Number"><strong>&lt;number&gt;</strong></a>*; <em>Default value</em>: none; <em>Animatable</em>: <strong>no</strong></small></dd>
 <dt id="attr-cx">{{SVGAttr("path")}}</dt>
 <dd>This attribute defines the path of the motion, using the same syntax as the {{SVGAttr('d')}} attribute.<br>
 <small><em>Value type</em>: <strong>&lt;string&gt;</strong>; <em>Default value</em>: none; <em>Animatable</em>: <strong>no</strong></small></dd>
 <dt id="attr-cx">{{SVGAttr("rotate")}}</dt>
 <dd>This attribute defines a rotation applied to the element animated along a path, usually to make it pointing in the direction of the animation.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#Number"><strong>&lt;number&gt;</strong></a>|<code>auto</code>|<code>auto-reverse</code>; <em>Default value</em>: <code>0</code>; <em>Animatable</em>: <strong>no</strong></small></dd>
</dl>

<div class="notecard note">
<p><strong>Note:</strong> For <code>&lt;animateMotion&gt;</code> the default value for the {{SVGAttr("calcMode")}} attribute is <code>paced</code></p>
</div>

<h3 id="Animation_Attributes">Animation Attributes</h3>

<dl>
 <dt><a href="/docs/Web/SVG/Attribute#Animation_Timing_Attributes">Animation timing attributes</a></dt>
 <dd><small>{{SVGAttr("begin")}}, {{SVGAttr("dur")}}, {{SVGAttr("end")}}, {{SVGAttr("min")}}, {{SVGAttr("max")}}, {{SVGAttr("restart")}}, {{SVGAttr("repeatCount")}}, {{SVGAttr("repeatDur")}}, {{SVGAttr("fill")}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute#Animation_Value_Attributes">Animation value attributes</a></dt>
 <dd><small>{{SVGAttr("calcMode")}}, {{SVGAttr("values")}}, {{SVGAttr("keyTimes")}}, {{SVGAttr("keySplines")}}, {{SVGAttr("from")}}, {{SVGAttr("to")}}, {{SVGAttr("by")}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute#Animation_Attributes">Other Animation attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr("attributeName")}}, {{SVGAttr("additive")}}, {{SVGAttr("accumulate")}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Events#Animation_Event_Attributes">Animation event attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr("onbegin")}}, {{SVGAttr("onend")}}, {{SVGAttr("onrepeat")}}</small></dd>
</dl>

<h3 id="Global_attributes">Global attributes</h3>

<dl>
 <dt><a href="/docs/Web/SVG/Attribute/Core">Core Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr('id')}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Styling">Styling Attributes</a></dt>
 <dd><small>{{SVGAttr('class')}}, {{SVGAttr('style')}}</small></dd>
 <dt>Event Attributes</dt>
 <dd><small><a href="/docs/Web/SVG/Attribute/Events#Global_Event_Attributes">Global event attributes</a>, <a href="/docs/Web/SVG/Attribute/Events#Document_Element_Event_Attributes">Document element event attributes</a></small></dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>This element implements the {{domxref("SVGAnimateMotionElement")}} interface.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG Animations 2", "#AnimateMotionElement", "&lt;animateMotion&gt;")}}</td>
   <td>{{Spec2("SVG Animations 2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'animate.html#AnimateMotionElement', '&lt;animateMotion&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.animateMotion")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("mpath")}}</li>
</ul>
